JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
OSCColour Struct Reference
juce_osc » osc

Holds a 32-bit RGBA colour for passing to and from an OSCArgument. More...

`#include <juce_OSCTypes.h>`

## Public Member Functions
uint32 | toInt32 () const

## Static Public Member Functions
static OSCColour | fromInt32 (uint32)

## Public Attributes
uint8 | red
uint8 | green
uint8 | blue
uint8 | alpha

## Detailed Description

Holds a 32-bit RGBA colour for passing to and from an OSCArgument.

See also
  OSCArgument, OSCTypes::colour

## Member Function Documentation

## ◆ toInt32()

uint32 OSCColour::toInt32 | ( |  | ) | const

## ◆ fromInt32()

static OSCColour OSCColour::fromInt32 | ( | uint32 |  | ) |
| static

## Member Data Documentation

## ◆ red

uint8 OSCColour::red

## ◆ green

uint8 OSCColour::green

## ◆ blue

uint8 OSCColour::blue

## ◆ alpha

uint8 OSCColour::alpha

The documentation for this struct was generated from the following file:

- juce_OSCTypes.h